<script lang="ts">
	import { getCartSize } from '$lib/reservation';
	import { ShoppingCartIcon } from 'svelte-feather-icons';
	import { fade } from 'svelte/transition';
	import { refreshCart } from '../stores/reservation';
	import { goto } from '$app/navigation';

	$: cartSize = getCartSize();

	$: if ($refreshCart) {
		cartSize = getCartSize();
		$refreshCart = false;
	}
</script>

<button
	class="relative"
	on:click={() => {
		goto('/cart');
	}}
>
	<ShoppingCartIcon />
	{#if cartSize > 0}
		<div
			class="absolute -top-2 -right-2 w-4 h-4 bg-error-500 rounded-full flex justify-center items-center text-white text-xs"
			transition:fade
		>
			{cartSize}
		</div>
	{/if}
</button>
